player = {}
anim = {}

function player.load()

	anim.Tile_h = 32
	anim.Tile_w = 32
	anim[1] = newAnimation(img.Indi,anim.Tile_h,anim.Tile_w,0,0)
	anim[1]:stop()
	anim.player = anim[1]

		-- Shadow
		anim[2] = newAnimation(img.Indi,anim.Tile_h,anim.Tile_w,0,0)
		anim[2]:seek(15)
		anim[2]:stop()
		anim.s = anim[2]

		player = {
			jPower = -2,
			speedX = 4,
			speedY = 5,
			x = 100,
			y = 100,
			jCount = -2,
			border = 10,
			borderDistence = 300,
			fall = true,
			onGround = false,
			onObj = false,
			jump = false,
			attack = false,
			m = true,
			w = false,
		}

if player.m == true then
	stay = 1
	right = 2
	left = 3
	attack1 = 4
	attack2 = 5
	attack3 = 6

	elseif player.w == true then
		stay = 7
		right = 8
		left = 9
		attack1 = 10 
		attack2 = 11
		attack3 = 12
	end

end

function player.init(dt)

	anim.player:update(dt)


-- MOVEMENT ---------------------------------------------------------

	-- Lets move left and Right and ATTACK! hell yeah :D
	if lk.isDown("right") and player.x < lg.getWidth() - (anim.Tile_w*2)-player.border then

		anim.player:seek(right)
		-- Wenn die Map sich nicht bewegt
		if level.bMove == false then
   			player.x = player.x + player.speedX
			if player.x > lg.getWidth() - (anim.Tile_w*2) then player.x = lg.getWidth() - 64 - player.border end
		end
		-- ATTACK RIGHT
			if  lk.isDown("up") and not player.fall then
		
				anim.player:seek(attack2)
				player.attack = true
			else player.attack = false end

   		elseif lk.isDown("left") and player.x > 0 + player.border then

				anim.player:seek(left)
				-- Wenn die Map sich nicht bewegt
				if level.bMove == false then
					player.x = player.x - player.speedX
					if player.x < player.border then player.x = player.border end
				end
		-- ATTACK LEFT
				if  lk.isDown("up") and not player.fall then
		
					anim.player:seek(attack3)
					player.attack = true
				else player.attack = false end

		else 
		anim.player:seek(stay) 
		
		-- ATTACK STAY
		if  lk.isDown("up") and not player.fall then
		
			anim.player:seek(attack1)
			player.attack = true
		else player.attack = false end
	 end

---------------------------------------------------------------------

	-- FALLING ---------------------------------------------------------

		if player.fall == true then 

			player.y = player.y + player.speedY 
		end
	--------------------------------------------------------------------

		-- CHECK: ON GROUND OR OBJECT ----------------------------------------------------------
			
			-- If the player not on ground and not jumping then he's fallin'
			if player.onGround == false and player.jump == false then player.fall = true else player.fall = false end

				if player.y >= lg.getHeight()-(anim.Tile_h*2) or player.onObj == true then 

					player.onGround = true
	
				end
					if player.y > lg.getHeight()-(anim.Tile_h*2) then

						 player.y = lg.getHeight()-(anim.Tile_h*2) 
					end
					
		----------------------------------------------------------------------------------------

			-- JUMPING --------------------------------------------------------------------------------
			
				if lk.isDown (" ") and player.fall == false and ( player.onGround == true or player.onObj == true ) then
				
					player.jump = true
					player.onGround = false			
					
				end

					if player.jump and player.fall == false then
						
						player.y = player.y - ( player.speedY - player.jCount )
						player.jCount = player.jCount + 0.2

						
					end

					if player.jCount >= 9 and player.onObj == false  then 

						player.jump = false
						player.jCount = player.jPower
					end
			-------------------------------------------------------------------------------------------

			-- SHADOW ---------------------------------------------------------------------------------

			if player.y >= lg.getHeight()-(anim.Tile_h*2) then anim.s:seek(13) end
			if player.y <= lg.getHeight()-(anim.Tile_h*2)-20 and player.y >= lg.getHeight()-(anim.Tile_h*2)-80 then anim.s:seek(14)end
			if player.y <= lg.getHeight()-(anim.Tile_h*2)-80 then anim.s:seek(15) end
			-------------------------------------------------------------------------------------------

end

function player.draw()

	-- Shadow
	anim.s:draw(player.x, lg.getHeight()-(anim.Tile_h*2)+5,0 , 2, 2)
	-- Player
	anim.player:draw(player.x, player.y, 0 , 2, 2)
	-- front of the level must in front of the player, so it is drawn here
	love.graphics.drawq(img.level, img.Front[1], level.front_x , level.front_y ,0,5,5)
end

function player.text()

	

end

