require "includes/objects"
require "includes/menus"
require "includes/player"
require "includes/images"
require "includes/ups"
require "includes/gState"
require "includes/collision"
require "includes/enemys"
require "includes/levels"
require "libs/AnAL"
require "libs/TEsound"


--------------------------------------------------------------------------
--GLOBALE VARIABLEN
--________________________________________________________________________

lg = love.graphics
lk = love.keyboard
ls = love.system
lt = love.timer

-- Table
part = {img,menu,level,player,enemy,obj,up,col}
--------------------------------------------------------------------------

function love.load()

	for i = 1,#part do
		part[i].load()
	end

end

function love.update(dt)

	for i = 1,#part do
		part[i].init(dt)
	end





end

function love.draw()

	for i = 1,#part do
		part[i].draw()
	end

	for i = 1,#part do
		part[i].text()
	end

	lg.print("Hallo Lars, auf gehts mit dem proggen!" ,1,1)
	lg.print("Player Y:"..player.y ,1,20*1)
	lg.print("Player X:"..player.x ,1,20*2)
	lg.print("Onground:"..tostring (player.onGround) ,1,20*3)
	lg.print("fall:"..tostring (player.fall) ,1,20*4)
	lg.print("Jump:"..tostring (player.jump) ,1,20*5)
	lg.print("TileX:".. level.Tile_x ,1,20*6)


end

