level = {}


function level.load()
	
	level.Tile_w = 256
	level.Tile_h = 128
	level.Tile_x = 0
	level.Tile_y = 0
		level.Clouds_x = 0
		level.Clouds_s = 0.4
			level.front_x = 0
			level.front_y = 360
	img.back = {}
	img.Clouds = {}
	img.Front = {}

	-- HINTERGRUND
	img.back[1] = lg.newQuad (level.Tile_w-128,0,level.Tile_w,level.Tile_h,512,256)
	img.back[2] = lg.newQuad (level.Tile_w,0,level.Tile_w,level.Tile_h,512,256)
	img.back[3] = lg.newQuad (level.Tile_w+128,0,level.Tile_w,level.Tile_h,512,256)
	-- WOLKEN
	img.Clouds[1] = lg.newQuad (level.Tile_w-128,level.Tile_h,level.Tile_w*4,level.Tile_h-64,512,256)
	img.Clouds[2] = lg.newQuad (level.Tile_w-128,level.Tile_h,level.Tile_w*4,level.Tile_h-64,512,256)
	-- GRASS STEINE ETC
	img.Front[1] = lg.newQuad (level.Tile_w-128,level.Tile_h+64,level.Tile_w*4,level.Tile_h+64,512,256)
	--[[for i = 1, 3 do
	img.backTop[i] = lg.newQuad (level.Tile_w*i,128,level.Tile_w,level.Tile_h,512,256)
	end
	]]

end

function level.init(dt)

	-- Boolean ob der Hintergrund bewegt  wird oder nicht
	level.bMove = false

	-- BACKGROUND - SCROLLING: nach LINKS
	if lk.isDown("right") and player.x >= lg.getWidth() - player.borderDistence - player.border and level.Tile_x >= -level.Tile_w*4-128 then
		
		level.bMove = true
		level.Tile_x = level.Tile_x - player.speedX 
		level.front_x = level.front_x - player.speedX 
		level.Clouds_x = level.Clouds_x - (player.speedX-level.Clouds_s)
	-- BACKGROUND - SCROLLING: nach RECHTS
	elseif lk.isDown("left") and player.x <= -(anim.Tile_w*2) + player.borderDistence and level.Tile_x < 8 - player.border then
	
		level.bMove = true
		level.Tile_x = level.Tile_x + player.speedX 
		level.front_x = level.front_x + player.speedX	
		level.Clouds_x = level.Clouds_x + (player.speedX+level.Clouds_s)
	end


		-- MOVING CLOUDS
		if level.Clouds_x >= 1024 then level.Clouds_x = 0 end
			if level.bMove == false then
				level.Clouds_x = level.Clouds_x + level.Clouds_s
			end
end

function level.draw()
	
	-- Zeichnet den Hintergrund
	love.graphics.drawq(img.level, img.back[1], level.Tile_x , 0,0,5,5)
	love.graphics.drawq(img.level, img.back[2], level.Tile_x + level.Tile_w*2, 0,0,5,5)
	love.graphics.drawq(img.level, img.back[3], level.Tile_x + level.Tile_w*4 + 128, 0,0,5,5)
	love.graphics.drawq(img.level, img.Clouds[1], level.Clouds_x , 0,0,5,5)
	love.graphics.drawq(img.level, img.Clouds[2], level.Clouds_x-1120 , 0,0,5,5)

end

function level.text()


end
